2019-12-15 21:31 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001306FSSCPgraphicspublic2007-04-11 19:37
ReporterTolwyn 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.10 
Target VersionFixed in Version3.6.10 
Summary0001306: HUD issues in new CVS builds
Descriptionokay, this picture was made with the 26/02 CVS build.

http://wcsaga.hard-light.net/team/Tolwyn/pictures/screen0000.jpg

take a look at the target view and left shield gauge. I am pretty sure that's now how it should look like :D
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007769

Tolwyn (reporter)

a quick update, this happens in the latest CVS build as well. Seems to affect enemy craft only, friendlies work just fine.

~0007770

thesource2 (reporter)

Errr... I have taylor's 0227 built and there nothing like that there (at least for me)

~0007773

Tolwyn (reporter)

Yes, it is all my imagination, is it?

regarding system specs:

AMD FX65 4400+
1536 MB RAM
ATI Radeon 1900XT with latest catalyst drivers

command line: -fov 0.65 -spec_exp 7.0 -spec_tube 5.0 -spec_point 8.6 -spec_static 3.0 -ambient_factor 75

~0007774

thesource2 (reporter)

Hmmm.. May be it is a driver problem (sorry, but there is a major problem with ATI drivers for new cards. I heard about similar problems already)

~0007775

Tolwyn (reporter)

yes, sure it is the driver problem.... wait, 3.6.9 works flawlessly :)

~0007776

taylor (administrator)

My build is based on the 3.6.9 code tree, so it really shouldn't have many more problems than the official 3.6.9 did/does. It just means that the problem is restricted to the code tree that will become 3.7, not the tree that will become 3.6.10.

~0007777

Tolwyn (reporter)

well, I stated, that I am using CVS build, mainly to test power output features, which were added recently :)

~0007781

thesource2 (reporter)

Tolwyn wrote: "yes, sure it is the driver problem.... wait, 3.6.9 works flawlessly :)"

And for me latest built works perfectly. You are right it is not the driver problem, it is just your imagination :)

~0007846

Backslash (developer)

I gotta chime in here that I get this problem too, but so far only with WCSaga, in particular the Darket and the Dralthi. So it is possible it's an odd issue with the model, or texture, or way the graphics card or driver renders the texture... that doesn't really narrow things down much does it? :-P

But it doesn't really make sense why the target shield gauge is affected by something like that. I'm going through the hud code and doing testing and stuff, but so far drawing a blank why this would be. I mean, we're not using the 'generate shield icon' feature...

~0007847

Tolwyn (reporter)

the odd thing is: this happens only with the new SCP builds, pre 3.6.9 and 3.6.9 work just fine... Weird.

~0007885

Backslash (developer)

I'm happy to report that I've suffered no damage </Hobbes voice>. Seriously though, I report: the CVS as of taylor's commits on 03.22 has fixed this problem. Or at least it no longer happens to me.

~0007886

taylor (administrator)

Ok, nice that it was something easy. :)

I'll wait for Tolwyn to confirm before marking this as fixed.

~0007969

taylor (administrator)

Haven't heard otherwise, so I'll just consider this:

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-02-28 18:48 Tolwyn New Issue
2007-02-28 22:52 Tolwyn Note Added: 0007769
2007-03-01 05:42 thesource2 Note Added: 0007770
2007-03-01 16:34 Tolwyn Note Added: 0007773
2007-03-01 16:47 thesource2 Note Added: 0007774
2007-03-01 17:50 Tolwyn Note Added: 0007775
2007-03-01 18:26 taylor Note Added: 0007776
2007-03-01 18:29 Tolwyn Note Added: 0007777
2007-03-02 06:16 thesource2 Note Added: 0007781
2007-03-14 08:45 Backslash Note Added: 0007846
2007-03-14 11:38 Tolwyn Note Added: 0007847
2007-03-23 09:54 Backslash Note Added: 0007885
2007-03-23 15:55 taylor Note Added: 0007886
2007-03-23 15:55 taylor Status new => assigned
2007-03-23 15:55 taylor Assigned To => taylor
2007-04-11 19:37 taylor Status assigned => resolved
2007-04-11 19:37 taylor Fixed in Version => 3.6.10
2007-04-11 19:37 taylor Resolution open => fixed
2007-04-11 19:37 taylor Note Added: 0007969
+Issue History